<?php
	require_once("../includes/clase_sesion.php");
	$sesion=new sesion();
	
	require_once("../includes/academia_constantes.php");
	require_once("../includes/funciones_generales.php");
	
	require_once("../includes/lib_lenguaje.php");
	$cleguaje=new cLanguage();
	
	$sesion->set('permiso',permisos($_POST['privilegio']));
	
		
	if(!comprobar_sesion()){
		mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));
		exit;	
	}
	
	require_once('../includes/MySQL.php');
	$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
	
	$grupo=$_REQUEST['grupo'];
	$jornada=$_REQUEST['jornada'];
	$sede=$_REQUEST[sede];
	
	$id_estudiante=$_REQUEST[idestu];
	
	$sql_count="SELECT distinct 
    aca_asignaturasxgrupos.cod_grupo
FROM
    aca_estxasigxgrupos
    INNER JOIN aca_asignaturasxgrupos 
        ON (aca_estxasigxgrupos.cod_asigxgrupo = aca_asignaturasxgrupos.cod_asigxgrupo)
    INNER JOIN aca_calxasixest 
        ON (aca_calxasixest.cod_estxasigxgrupo = aca_estxasigxgrupos.cod_estxasigxgrupos)
WHERE (aca_estxasigxgrupos.cod_estudiante ='$id_estudiante' AND NOT ISNULL(aca_calxasixest.nota_numeros))";

	$academia->instruccion($sql_count);
	$reg=$academia->extraer_registro();
	$cd_ant_gru=$reg[cod_grupo];
	$tiene_notas= ($academia->num_rows()>0) ? true : false;
	$academia->liberar();
	$academia->cerrar();
	
?>
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<script type="text/javascript">
$(document).ready(function(e) {
		
	var cd_sede;
	var cd_ant_grup='<?php echo $cd_ant_gru ?>';
	
	function guarda_new_mat(){
		if($(":input, :selected").hasClass('campos_error') ){
			jAlert('<?php echo $cleguaje->Phrase('global','cmpobl') ?>','<?php echo $cleguaje->Phrase('project','institucion') ?>')
			return false
		}
		datas=$("#new_edit_matricula").serialize();
		$.ajax({
			type:"POST",
			url: 'mod_estudiantes/opera_matricula.php',
			data:datas+"&",
			success:function(rta){
				r=rta.split('|');
				if (r[0]!=0){
						if (r[0]=='session'){
							modulo='global'
						}else{
							modulo='estudiantes'
						}
						jAlert(getMsg(modulo,r[0]),'<?php  echo $cleguaje->Phrase('project','institucion') ?>',function(){
							if(rta=='session'){
								$.fn.colorbox.close();
								location.reload();	
							}	
						});
					}else{
						$("#can_mat, #cb_matricula").attr('cod',r[1]);
						jQuery("#listado_estudiantes").setCell('<?php echo $id_estudiante; ?>','matriculado','<img src="images/activo.png" title="Si">');
						jQuery("#listado_estudiantes").setCell('<?php echo $id_estudiante; ?>','estado_est','<img src="images/activo.png" title="No">');
						$("#matricular").hide();
						$("#cb_matricula,#datos_matricula, #can_mat").show()						
						$("#activar").hide();
						$("#desactiva").show();
						$("#sed_mat_actual").html(sessionStorage.nom_new_sede)
						$("#jor_mat_actual").html(sessionStorage.nom_new_jorn)
						$("#gru_mat_actual").html(sessionStorage.nom_new_grup)
						
						$.fn.colorbox.close();
						notifica_ok("<?php echo $cleguaje->Phrase('estudiantes',isset($_REQUEST[id_cod_matricula]) ? 'cambio_grup_ok' : 'matricula_ok' ) ?>");
						
					}
			}
		})
	}
	
	$("#guardar_new_matr,#siguiente").button();
	
	
	$("#guardar_new_matr").click(function(){
		guarda_new_mat();		
	})

	$("#siguiente").click(function(){
		if($(":input, :selected").hasClass('campos_error') ){
			jAlert('<?php echo $cleguaje->Phrase('global','cmpobl') ?>','<?php echo $cleguaje->Phrase('project','institucion') ?>')
			return false
		}
		var cd_new_grup=$("#txtgrupo").val()
		var idestu='<?php echo $id_estudiante ?>'
		if(cd_new_grup!=cd_ant_grup){ 
			$.colorbox({
				  href:"mod_estudiantes/for_relacionar_materias.php?idestu="+idestu+"&new_gr="+cd_new_grup+"&cd_ant_gr="+cd_ant_grup+"&id_cod_mat_est=<?php echo $_REQUEST[id_cod_matricula]; ?>"  ,
				  width:'auto',
				  height: 'auto',
				  title: 'Relacionar materias',
				  transition:'elastic', 
				  iframe:false,
				  initialHeight: "300",
				  escKey: false,
	
				  onClosed:function(){
					  
				  }
			})
		}
		else{
			guarda_new_mat();		
		}
	});
	
	$("#txtsedes").change(function(){
		cd_sede=$(this).val();
		$.post("includes/cargar_selec_normal.php",{
			codigo:'a21',
			cod_cnds:cd_sede,
			mopc:0,
			selec:'<?php echo $jornada ?>'
		},function(dt){
			$("#txtjornadas").html(dt)
			$("#txtjornadas").trigger('change');
		})
	});
	
	$("#txtjornadas").change(function(){
		cd_jor=$(this).val();		
		if(!$(this).val()){
			$(this).addClass('campos_error').removeClass('campos');
			$("#txtgrupo").empty().addClass('campos_error')
			return false
		}else{
			$(this).addClass('campos').removeClass('campos_error');
		}
		
		cn="cod_jornada="+cd_jor;
		
			$.post("mod_estudiantes/cargar_selec_grupos.php",{
			sede: cd_sede,
			cd_jor:cd_jor,
			mopc:2,
			cons:1,
			selec:'<?php echo $grupo ?>'
		},function(dt){
			if(dt)
				$("#txtgrupo").html(dt).addClass('campos').removeClass('campos_error');
			else
				$("#txtgrupo").addClass('campos_error').removeClass('campos');
			 
			$("#txtgrupo").trigger('change');	
		})	
	});
	
	$("#txtgrupo").change(function(){ 
		var titulo=$("option:selected", "#txtgrupo");
		var t=titulo.parent()[0].label;
                $("#nomGrupo").html(titulo.parent()[0].label);
		sessionStorage['nom_new_sede']=$("#txtsedes option:selected").html();
		sessionStorage['nom_new_jorn']=$("#txtjornadas option:selected").html();
		sessionStorage['nom_new_grup']=t +" "+ titulo.html();
	})
	
	$("#txtsedes").trigger('change');
	
	
	$("#txtgrupo").valida_select()
	
	
	
});
</script>
</head>

<body><form action="" method="post" name="new_edit_matricula" id="new_edit_matricula">
<input name="id_cod_matricula_est" type="hidden" value="<?php echo $_REQUEST[id_cod_matricula] ?>">
<input name="caso" type="hidden" value="<?php echo isset($_REQUEST[id_cod_matricula]) ? 'edit': 'new_mat'; ?>">
<input name="idestu" type="hidden" value="<?php echo $id_estudiante ?>">
<table align="center">
  <tr clas class="tit1">
    <td><?php echo $cleguaje->getField('global','name_sede') ?></td>
    <td><?php echo $cleguaje->getField('global','name_jornada') ?></td>
    <td><?php echo $cleguaje->getField('global','grupos') ?> <span class="text4" id="nomGrupo"></span></td>
  </tr>
  <tr>
    <td><select name="txtsedes" class="campos" id="txtsedes" style="width:250px" >
      <?php
			$cmps="cod_sede, initcap(nom_sede) as 'nom_sede'";
			$ord='ORDER BY cod_sede ASC';
			$tabla="adm_sedes";
			$cmpcnd="";
			$default=$sede;
			mostrar_cont_selec($cmps, $tabla,$cmpcnd, $ord,$default,false,'',0,0);
		?>
    </select></td>
    <td><select name="txtjornadas" class="campos" id="txtjornadas" style="width:160px">
      <option value="0x">Seleccionar...</option>
      <?php
           
        ?>
    </select></td>
    <td><select name="txtgrupo" class="campos" id="txtgrupo" style="width:160px">
      <option value="0x">Seleccionar...</option>
    </select></td>
  </tr>
  <tr>
    <td colspan="3" align="center">
    <?php if(!$tiene_notas){ 	?>
    <img src="images/guardar.png" alt="Guardar" cod='<?php echo isset($_REQUEST[id_cod_matricula]) ? 'edit': 'new_mat';  ?>' name="guardar" width="20" height="20" id="guardar_new_matr" class="opera">
    <?php
		}else{ echo '<input name="siguiente" type="button" id="siguiente" value="Siguiente" >'; }
	?>
    </td>
  </tr>
</table>
</form>
</body>
</html>